C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION PRINT(IONE,ANORM)
	IMPLICIT INTEGER*2(D-Z)
	IMPLICIT LOGICAL*1(A)
	COMMON//SAVDES(256),CURVE1(512),CURVE2(512)
	COMMON/IN/NA
	COMMON/WINDOW/FST,LST
	COMMON/LINEAR/ALIN,AINTER,ATOSEC
	LOGICAL*1 BSAV(512)
	EQUIVALENCE (SAVDES,BSAV)
	REP = 6
	PRINT=0
	DO 5 II = 18,82
	IF (BSAV(II).EQ."200) GOTO 6
5	CONTINUE
6	II = II - 1
	WRITE(REP,1000)(BSAV(I),I=17,II)
	IF(ALIN)WRITE(REP,1005)
	IF(ATOSEC)WRITE(REP,1006)
	IF(ANORM)WRITE(REP,1010)SAVDES(225)
C*****SCRATCH CURVE ONLY
7	WRITE(REP,920)
	CALL PRNTXT
	IF(.NOT.ANORM)WRITE(REP,910)SAVDES(225)
	IF(ANORM)WRITE(REP,911)
	DO 10 II=FST,LST,5
10	WRITE(REP,900)II,(CURVE1(I),I=II,II+4)
	IF(IONE.EQ.0) GOTO 998
	DO200 I=1,IONE
	IJ=I
	K=INTPAR(IJ)
	IF(GCV(2,K).LT.0)GOTO999
	IF(ATOSEC)CALL TOSEC(2)
	IF(ANORM)CALL NORM(2,K)
	WRITE(REP,920)
	CALL PRNTXT
	IF(.NOT.ANORM)WRITE(REP,910)SAVDES(213+K)
	IF(ANORM)WRITE(REP,911)
	DO 200 II=FST,LST,5
200	WRITE(REP,900)II,(CURVE2(K),K=II,II+4)
900	FORMAT(1X,I3,1X,5(G13.6,1X))
910	FORMAT(///,2X,I6,' CELLS')
911	FORMAT(1X)
920	FORMAT(10X)
	REWIND REP
	RETURN
999	PRINT=-1
998	REWIND REP
	RETURN
1000	FORMAT('1',1X,64A1)
1005	FORMAT(40X,'NORMALISED TO GROUP 1 TIME')
1006	FORMAT(40X,'COUNTS/SEC')
1010	FORMAT(32X,'NORMALISED TO SIZE',1X,I6,1X,'CELLS')
	END
